[SciPy-user] "from scipy.linalg.flapack import dgelss" fails

Pauli Virtanen pav@iki...
Sat Jun 7 11:13:38 CDT 2008


Sat, 07 Jun 2008 18:26:25 +0300, dmitrey wrote:

> IIRC Python 2.4 have no decorators (like the "@deprecate" line), they
> are available since 2.5 (that I have). Could anyone else try  "from
> scipy.linalg.flapack import dgelss" from python2.5?

Decorators were introduced already in Python 2.4.

The problem you see is the changed semantics in @deprecate between numpy 
1.0.4 and 1.1.0. (Scipy 0.7.dev uses the 1.1.0 semantics). It can be 
fixed by upgrading to numpy 1.1.0.

-- 
Pauli Virtanen



More information about the SciPy-user mailing list